This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1312130 - [abrt] java-1.8.0-openjdk-headless: signalHandler(): java killed by SIGABRT
[abrt] java-1.8.0-openjdk-headless: signalHandler(): java killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: java-1.8.0-openjdk (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mario Torre
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:4fa8c924b3b895394f629054919...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-25 15:15 EST by laolux
Modified: 2016-12-20 14:02 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:02:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (109.84 KB, text/plain)
2016-02-25 15:15 EST, laolux
no flags Details
File: cgroup (148 bytes, text/plain)
2016-02-25 15:15 EST, laolux
no flags Details
File: core_backtrace (77.36 KB, text/plain)
2016-02-25 15:16 EST, laolux
no flags Details
File: dso_list (5.44 KB, text/plain)
2016-02-25 15:16 EST, laolux
no flags Details
File: environ (4.17 KB, text/plain)
2016-02-25 15:16 EST, laolux
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-25 15:16 EST, laolux
no flags Details
File: maps (37.82 KB, text/plain)
2016-02-25 15:16 EST, laolux
no flags Details
File: mountinfo (3.73 KB, text/plain)
2016-02-25 15:16 EST, laolux
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-25 15:16 EST, laolux
no flags Details
File: open_fds (5.10 KB, text/plain)
2016-02-25 15:16 EST, laolux
no flags Details
File: proc_pid_status (1.04 KB, text/plain)
2016-02-25 15:16 EST, laolux
no flags Details
File: var_log_messages (357 bytes, text/plain)
2016-02-25 15:16 EST, laolux
no flags Details
hs_err error log (71.93 KB, text/plain)
2016-03-09 03:39 EST, laolux
no flags Details
another error file of a newer crash (75.95 KB, text/plain)
2016-03-23 19:14 EDT, laolux
no flags Details
hs_err error log (72.67 KB, text/plain)
2016-03-23 19:50 EDT, laolux
no flags Details

  None (edit)
Description laolux 2016-02-25 15:15:49 EST
Version-Release number of selected component:
java-1.8.0-openjdk-headless-1.8.0.72-4.b15.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 3
cmdline:        java -jar ./MediathekView.jar
crash_function: signalHandler
executable:     /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.72-4.b15.fc23.x86_64/jre/bin/java
global_pid:     8804
kernel:         4.4.2-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #5 signalHandler at /usr/src/debug/java-1.8.0-openjdk-1.8.0.72-4.b15.fc23.x86_64/openjdk/hotspot/src/os/linux/vm/os_linux.cpp:4233
 #7 getX11InputMethodData at /usr/src/debug/java-1.8.0-openjdk-1.8.0.72-4.b15.fc23.x86_64/openjdk/jdk/src/solaris/native/sun/awt/awt_InputMethod.c:319
 #8 _XimServerDestroy at imInt.c:106
 #9 _XimFilterServerDestroy at imDefFlt.c:374
 #10 Java_sun_awt_X11_XlibWrapper_XFilterEvent at /usr/src/debug/java-1.8.0-openjdk-1.8.0.72-4.b15.fc23.x86_64/openjdk/jdk/src/solaris/native/sun/xawt/XlibWrapper.c:661
 #11 ??
Comment 1 laolux 2016-02-25 15:15:56 EST
Created attachment 1130650 [details]
File: backtrace
Comment 2 laolux 2016-02-25 15:15:57 EST
Created attachment 1130651 [details]
File: cgroup
Comment 3 laolux 2016-02-25 15:16:00 EST
Created attachment 1130652 [details]
File: core_backtrace
Comment 4 laolux 2016-02-25 15:16:01 EST
Created attachment 1130653 [details]
File: dso_list
Comment 5 laolux 2016-02-25 15:16:03 EST
Created attachment 1130654 [details]
File: environ
Comment 6 laolux 2016-02-25 15:16:04 EST
Created attachment 1130655 [details]
File: limits
Comment 7 laolux 2016-02-25 15:16:06 EST
Created attachment 1130656 [details]
File: maps
Comment 8 laolux 2016-02-25 15:16:07 EST
Created attachment 1130657 [details]
File: mountinfo
Comment 9 laolux 2016-02-25 15:16:09 EST
Created attachment 1130658 [details]
File: namespaces
Comment 10 laolux 2016-02-25 15:16:10 EST
Created attachment 1130659 [details]
File: open_fds
Comment 11 laolux 2016-02-25 15:16:12 EST
Created attachment 1130660 [details]
File: proc_pid_status
Comment 12 laolux 2016-02-25 15:16:13 EST
Created attachment 1130661 [details]
File: var_log_messages
Comment 13 Deepak Bhole 2016-02-29 09:54:41 EST
Hi, is this issue reproducible?
Comment 14 laolux 2016-03-08 16:12:52 EST
It is not reproducible in a sense that I can force it to occur, but it seems to occur for an unknown reason every once in a while.
So far it has always been the same program that caused this crash, after idling for some time and me working with whatever other program. So it might actually be a bug in this program:
https://sourceforge.net/projects/zdfmediathk/
I will see if I can get some other useful java programs these days and see whether they crash, too.
Comment 15 Deepak Bhole 2016-03-08 16:22:00 EST
Do you have the hs_err file for this crash by any chance? It should be in the dir you start the app from.
Comment 16 laolux 2016-03-09 03:39 EST
Created attachment 1134419 [details]
hs_err error log

Hope this helps
Comment 17 Deepak Bhole 2016-03-09 10:35:48 EST
Thanks, the hs_err appears to be slightly more helpful. I am not sure how much more though. I am re-assigning this to Mario to take a cursory look to see if it is resolvable.
Comment 18 Mario Torre 2016-03-10 08:11:41 EST
I need precise steps how to reproduce the problem.
Comment 19 laolux 2016-03-23 19:13:19 EDT
It's kind of difficult to reproduce...
Last time I did the following:
Run the program, use it a bit, then let it run in the background and use other software. Then I suspended my computer, resumed (everything still fine), work with other software, suspend again and then upon resume the program crashed and I get a notification to report the bug.
If I remember correctly, then all the other crashes, too, occured after suspend/resume, even though I am not sure whether immediately upon resume.
Comment 20 laolux 2016-03-23 19:14 EDT
Created attachment 1139776 [details]
another error file of a newer crash
Comment 21 laolux 2016-03-23 19:49:37 EDT
Ok, my assumption about the suspend was wrong. It just crashed on me about 5 mins after startup. I had just used the program a bit and then changed to a terminal window and all of a sudden the program crashed. No clue why...
Comment 22 laolux 2016-03-23 19:50 EDT
Created attachment 1139779 [details]
hs_err error log
Comment 23 Fedora End Of Life 2016-11-24 10:46:17 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 24 Fedora End Of Life 2016-12-20 14:02:16 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.